| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DataWriterQos Class Reference
eProsima Fast DDS API Reference » DDS Public API » Fast DDS Quality of Service (QoS) Module.

Class DataWriterQos, containing all the possible Qos that can be set for a determined DataWriter. More...

`#include <DataWriterQos.hpp>`

Inheritance diagram for DataWriterQos:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | DataWriterQos ()
| Constructor.
FASTDDS_EXPORTED_API | ~DataWriterQos ()=default
| Destructor.
FASTDDS_EXPORTED_API bool | operator== (const DataWriterQos &b) const
FASTDDS_EXPORTED_API WriterQos | get_writerqos (const PublisherQos &pqos, const TopicQos &tqos) const
FASTDDS_EXPORTED_API DurabilityQosPolicy & | durability ()
| Getter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API const DurabilityQosPolicy & | durability () const
| Getter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API void | durability (const DurabilityQosPolicy &durability)
| Setter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API DurabilityServiceQosPolicy & | durability_service ()
| Getter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API const DurabilityServiceQosPolicy & | durability_service () const
| Getter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API void | durability_service (const DurabilityServiceQosPolicy &durability_service)
| Setter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API DeadlineQosPolicy & | deadline ()
| Getter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API const DeadlineQosPolicy & | deadline () const
| Getter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API void | deadline (const DeadlineQosPolicy &deadline)
| Setter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API LatencyBudgetQosPolicy & | latency_budget ()
| Getter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API const LatencyBudgetQosPolicy & | latency_budget () const
| Getter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API void | latency_budget (const LatencyBudgetQosPolicy &latency_budget)
| Setter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API LivelinessQosPolicy & | liveliness ()
| Getter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API const LivelinessQosPolicy & | liveliness () const
| Getter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API void | liveliness (const LivelinessQosPolicy &liveliness)
| Setter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API ReliabilityQosPolicy & | reliability ()
| Getter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API const ReliabilityQosPolicy & | reliability () const
| Getter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API void | reliability (const ReliabilityQosPolicy &reliability)
| Setter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API DestinationOrderQosPolicy & | destination_order ()
| Getter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API const DestinationOrderQosPolicy & | destination_order () const
| Getter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API void | destination_order (const DestinationOrderQosPolicy &destination_order)
| Setter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API HistoryQosPolicy & | history ()
| Getter for HistoryQosPolicy.
FASTDDS_EXPORTED_API const HistoryQosPolicy & | history () const
| Getter for HistoryQosPolicy.
FASTDDS_EXPORTED_API void | history (const HistoryQosPolicy &history)
| Setter for HistoryQosPolicy.
FASTDDS_EXPORTED_API ResourceLimitsQosPolicy & | resource_limits ()
| Getter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API const ResourceLimitsQosPolicy & | resource_limits () const
| Getter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API void | resource_limits (const ResourceLimitsQosPolicy &resource_limits)
| Setter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API TransportPriorityQosPolicy & | transport_priority ()
| Getter for TransportPriorityQosPolicy.
FASTDDS_EXPORTED_API const TransportPriorityQosPolicy & | transport_priority () const
| Getter for TransportPriorityQosPolicy.
FASTDDS_EXPORTED_API void | transport_priority (const TransportPriorityQosPolicy &transport_priority)
| Setter for TransportPriorityQosPolicy.
FASTDDS_EXPORTED_API LifespanQosPolicy & | lifespan ()
| Getter for LifespanQosPolicy.
FASTDDS_EXPORTED_API const LifespanQosPolicy & | lifespan () const
| Getter for LifespanQosPolicy.
FASTDDS_EXPORTED_API void | lifespan (const LifespanQosPolicy &lifespan)
| Setter for LifespanQosPolicy.
FASTDDS_EXPORTED_API UserDataQosPolicy & | user_data ()
| Getter for UserDataQosPolicy.
FASTDDS_EXPORTED_API const UserDataQosPolicy & | user_data () const
| Getter for UserDataQosPolicy.
FASTDDS_EXPORTED_API void | user_data (const UserDataQosPolicy &user_data)
| Setter for UserDataQosPolicy.
FASTDDS_EXPORTED_API OwnershipQosPolicy & | ownership ()
| Getter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API const OwnershipQosPolicy & | ownership () const
| Getter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API void | ownership (const OwnershipQosPolicy &ownership)
| Setter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API OwnershipStrengthQosPolicy & | ownership_strength ()
| Getter for OwnershipStrengthQosPolicy.
FASTDDS_EXPORTED_API const OwnershipStrengthQosPolicy & | ownership_strength () const
| Getter for OwnershipStrengthQosPolicy.
FASTDDS_EXPORTED_API void | ownership_strength (const OwnershipStrengthQosPolicy &ownership_strength)
| Setter for OwnershipStrengthQosPolicy.
FASTDDS_EXPORTED_API WriterDataLifecycleQosPolicy & | writer_data_lifecycle ()
| Getter for WriterDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API const WriterDataLifecycleQosPolicy & | writer_data_lifecycle () const
| Getter for WriterDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API void | writer_data_lifecycle (const WriterDataLifecycleQosPolicy &writer_data_lifecycle)
| Setter for WriterDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API PublishModeQosPolicy & | publish_mode ()
| Getter for PublishModeQosPolicy.
FASTDDS_EXPORTED_API const PublishModeQosPolicy & | publish_mode () const
| Getter for PublishModeQosPolicy.
FASTDDS_EXPORTED_API void | publish_mode (const PublishModeQosPolicy &publish_mode)
| Setter for PublishModeQosPolicy.
FASTDDS_EXPORTED_API DataRepresentationQosPolicy & | representation ()
| Getter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API const DataRepresentationQosPolicy & | representation () const
| Getter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API void | representation (const DataRepresentationQosPolicy &representation)
| Setter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API PropertyPolicyQos & | properties ()
| Getter for PropertyPolicyQos.
FASTDDS_EXPORTED_API const PropertyPolicyQos & | properties () const
| Getter for PropertyPolicyQos.
FASTDDS_EXPORTED_API void | properties (const PropertyPolicyQos &properties)
| Setter for PropertyPolicyQos.
FASTDDS_EXPORTED_API RTPSReliableWriterQos & | reliable_writer_qos ()
| Getter for RTPSReliableWriterQos.
FASTDDS_EXPORTED_API const RTPSReliableWriterQos & | reliable_writer_qos () const
| Getter for RTPSReliableWriterQos.
FASTDDS_EXPORTED_API void | reliable_writer_qos (const RTPSReliableWriterQos &reliable_writer_qos)
| Setter for RTPSReliableWriterQos.
FASTDDS_EXPORTED_API RTPSEndpointQos & | endpoint ()
| Getter for RTPSEndpointQos.
FASTDDS_EXPORTED_API const RTPSEndpointQos & | endpoint () const
| Getter for RTPSEndpointQos.
FASTDDS_EXPORTED_API void | endpoint (const RTPSEndpointQos &endpoint)
| Setter for RTPSEndpointQos.
FASTDDS_EXPORTED_API WriterResourceLimitsQos & | writer_resource_limits ()
| Getter for WriterResourceLimitsQos.
FASTDDS_EXPORTED_API const WriterResourceLimitsQos & | writer_resource_limits () const
| Getter for WriterResourceLimitsQos.
FASTDDS_EXPORTED_API void | writer_resource_limits (const WriterResourceLimitsQos &writer_resource_limits)
| Setter for WriterResourceLimitsQos.
FASTDDS_EXPORTED_API DataSharingQosPolicy & | data_sharing ()
| Getter for DataSharingQosPolicy.
FASTDDS_EXPORTED_API const DataSharingQosPolicy & | data_sharing () const
| Getter for DataSharingQosPolicy.
FASTDDS_EXPORTED_API void | data_sharing (const DataSharingQosPolicy &data_sharing)
| Setter for DataSharingQosPolicy.

## Detailed Description

Class DataWriterQos, containing all the possible Qos that can be set for a determined DataWriter.

Although these values can be and are transmitted during the Endpoint Discovery Protocol, not all of the behaviour associated with them has been implemented in the library. Please consult each of them to check for implementation details and default values.

## Constructor & Destructor Documentation

## ◆ DataWriterQos()

FASTDDS_EXPORTED_API DataWriterQos | ( |  | ) |

Constructor.

## ◆ ~DataWriterQos()

FASTDDS_EXPORTED_API ~DataWriterQos | ( |  | ) |

default

Destructor.

## Member Function Documentation

## ◆ data_sharing() [1/3]

FASTDDS_EXPORTED_API DataSharingQosPolicy & data_sharing | ( |  | ) |

inline

Getter for DataSharingQosPolicy.

Returns
  DataSharingQosPolicy reference

## ◆ data_sharing() [2/3]

FASTDDS_EXPORTED_API const DataSharingQosPolicy & data_sharing | ( |  | ) | const

inline

Getter for DataSharingQosPolicy.

Returns
  DataSharingQosPolicy reference

## ◆ data_sharing() [3/3]

FASTDDS_EXPORTED_API void data_sharing | ( | const DataSharingQosPolicy & | data_sharing | ) |

inline

Setter for DataSharingQosPolicy.

Parameters

  data_sharing | new value for the DataSharingQosPolicy

## ◆ deadline() [1/3]

FASTDDS_EXPORTED_API DeadlineQosPolicy & deadline | ( |  | ) |

inline

Getter for DeadlineQosPolicy.

Returns
  DeadlineQosPolicy reference

## ◆ deadline() [2/3]

FASTDDS_EXPORTED_API const DeadlineQosPolicy & deadline | ( |  | ) | const

inline

Getter for DeadlineQosPolicy.

Returns
  DeadlineQosPolicy reference

## ◆ deadline() [3/3]

FASTDDS_EXPORTED_API void deadline | ( | const DeadlineQosPolicy & | deadline | ) |

inline

Setter for DeadlineQosPolicy.

Parameters

  deadline | new value for the DeadlineQosPolicy

## ◆ destination_order() [1/3]

FASTDDS_EXPORTED_API DestinationOrderQosPolicy & destination_order | ( |  | ) |

inline

Getter for DestinationOrderQosPolicy.

Returns
  DestinationOrderQosPolicy reference

## ◆ destination_order() [2/3]

FASTDDS_EXPORTED_API const DestinationOrderQosPolicy & destination_order | ( |  | ) | const

inline

Getter for DestinationOrderQosPolicy.

Returns
  DestinationOrderQosPolicy reference

## ◆ destination_order() [3/3]

FASTDDS_EXPORTED_API void destination_order | ( | const DestinationOrderQosPolicy & | destination_order | ) |

inline

Setter for DestinationOrderQosPolicy.

Parameters

  destination_order | new value for the DestinationOrderQosPolicy

## ◆ durability() [1/3]

FASTDDS_EXPORTED_API DurabilityQosPolicy & durability | ( |  | ) |

inline

Getter for DurabilityQosPolicy.

Returns
  DurabilityQosPolicy reference

## ◆ durability() [2/3]

FASTDDS_EXPORTED_API const DurabilityQosPolicy & durability | ( |  | ) | const

inline

Getter for DurabilityQosPolicy.

Returns
  DurabilityQosPolicy reference

## ◆ durability() [3/3]

FASTDDS_EXPORTED_API void durability | ( | const DurabilityQosPolicy & | durability | ) |

inline

Setter for DurabilityQosPolicy.

Parameters

  durability | new value for the DurabilityQosPolicy

## ◆ durability_service() [1/3]

FASTDDS_EXPORTED_API DurabilityServiceQosPolicy & durability_service | ( |  | ) |

inline

Getter for DurabilityServiceQosPolicy.

Returns
  DurabilityServiceQosPolicy reference

## ◆ durability_service() [2/3]

FASTDDS_EXPORTED_API const DurabilityServiceQosPolicy & durability_service | ( |  | ) | const

inline

Getter for DurabilityServiceQosPolicy.

Returns
  DurabilityServiceQosPolicy reference

## ◆ durability_service() [3/3]

FASTDDS_EXPORTED_API void durability_service | ( | const DurabilityServiceQosPolicy & | durability_service | ) |

inline

Setter for DurabilityServiceQosPolicy.

Parameters

  durability_service | new value for the DurabilityServiceQosPolicy

## ◆ endpoint() [1/3]

FASTDDS_EXPORTED_API RTPSEndpointQos & endpoint | ( |  | ) |

inline

Getter for RTPSEndpointQos.

Returns
  RTPSEndpointQos reference

## ◆ endpoint() [2/3]

FASTDDS_EXPORTED_API const RTPSEndpointQos & endpoint | ( |  | ) | const

inline

Getter for RTPSEndpointQos.

Returns
  RTPSEndpointQos reference

## ◆ endpoint() [3/3]

FASTDDS_EXPORTED_API void endpoint | ( | const RTPSEndpointQos & | endpoint | ) |

inline

Setter for RTPSEndpointQos.

Parameters

  endpoint | new value for the RTPSEndpointQos

## ◆ get_writerqos()

FASTDDS_EXPORTED_API WriterQos get_writerqos | ( | const PublisherQos & | pqos,
|  | const TopicQos & | tqos ) const

## ◆ history() [1/3]

FASTDDS_EXPORTED_API HistoryQosPolicy & history | ( |  | ) |

inline

Getter for HistoryQosPolicy.

Returns
  HistoryQosPolicy reference

## ◆ history() [2/3]

FASTDDS_EXPORTED_API const HistoryQosPolicy & history | ( |  | ) | const

inline

Getter for HistoryQosPolicy.

Returns
  HistoryQosPolicy reference

## ◆ history() [3/3]

FASTDDS_EXPORTED_API void history | ( | const HistoryQosPolicy & | history | ) |

inline

Setter for HistoryQosPolicy.

Parameters

  history | new value for the HistoryQosPolicy

## ◆ latency_budget() [1/3]

FASTDDS_EXPORTED_API LatencyBudgetQosPolicy & latency_budget | ( |  | ) |

inline

Getter for LatencyBudgetQosPolicy.

Returns
  LatencyBudgetQosPolicy reference

## ◆ latency_budget() [2/3]

FASTDDS_EXPORTED_API const LatencyBudgetQosPolicy & latency_budget | ( |  | ) | const

inline

Getter for LatencyBudgetQosPolicy.

Returns
  LatencyBudgetQosPolicy reference

## ◆ latency_budget() [3/3]

FASTDDS_EXPORTED_API void latency_budget | ( | const LatencyBudgetQosPolicy & | latency_budget | ) |

inline

Setter for LatencyBudgetQosPolicy.

Parameters

  latency_budget | new value for the LatencyBudgetQosPolicy

## ◆ lifespan() [1/3]

FASTDDS_EXPORTED_API LifespanQosPolicy & lifespan | ( |  | ) |

inline

Getter for LifespanQosPolicy.

Returns
  LifespanQosPolicy reference

## ◆ lifespan() [2/3]

FASTDDS_EXPORTED_API const LifespanQosPolicy & lifespan | ( |  | ) | const

inline

Getter for LifespanQosPolicy.

Returns
  LifespanQosPolicy reference

## ◆ lifespan() [3/3]

FASTDDS_EXPORTED_API void lifespan | ( | const LifespanQosPolicy & | lifespan | ) |

inline

Setter for LifespanQosPolicy.

Parameters

  lifespan | new value for the LifespanQosPolicy

## ◆ liveliness() [1/3]

FASTDDS_EXPORTED_API LivelinessQosPolicy & liveliness | ( |  | ) |

inline

Getter for LivelinessQosPolicy.

Returns
  LivelinessQosPolicy reference

## ◆ liveliness() [2/3]

FASTDDS_EXPORTED_API const LivelinessQosPolicy & liveliness | ( |  | ) | const

inline

Getter for LivelinessQosPolicy.

Returns
  LivelinessQosPolicy reference

## ◆ liveliness() [3/3]

FASTDDS_EXPORTED_API void liveliness | ( | const LivelinessQosPolicy & | liveliness | ) |

inline

Setter for LivelinessQosPolicy.

Parameters

  liveliness | new value for the LivelinessQosPolicy

## ◆ operator==()

FASTDDS_EXPORTED_API bool operator== | ( | const DataWriterQos & | b | ) | const

inline

## ◆ ownership() [1/3]

FASTDDS_EXPORTED_API OwnershipQosPolicy & ownership | ( |  | ) |

inline

Getter for OwnershipQosPolicy.

Returns
  OwnershipQosPolicy reference

## ◆ ownership() [2/3]

FASTDDS_EXPORTED_API const OwnershipQosPolicy & ownership | ( |  | ) | const

inline

Getter for OwnershipQosPolicy.

Returns
  OwnershipQosPolicy reference

## ◆ ownership() [3/3]

FASTDDS_EXPORTED_API void ownership | ( | const OwnershipQosPolicy & | ownership | ) |

inline

Setter for OwnershipQosPolicy.

Parameters

  ownership | new value for the OwnershipQosPolicy

## ◆ ownership_strength() [1/3]

FASTDDS_EXPORTED_API OwnershipStrengthQosPolicy & ownership_strength | ( |  | ) |

inline

Getter for OwnershipStrengthQosPolicy.

Returns
  OwnershipStrengthQosPolicy reference

## ◆ ownership_strength() [2/3]

FASTDDS_EXPORTED_API const OwnershipStrengthQosPolicy & ownership_strength | ( |  | ) | const

inline

Getter for OwnershipStrengthQosPolicy.

Returns
  OwnershipStrengthQosPolicy reference

## ◆ ownership_strength() [3/3]

FASTDDS_EXPORTED_API void ownership_strength | ( | const OwnershipStrengthQosPolicy & | ownership_strength | ) |

inline

Setter for OwnershipStrengthQosPolicy.

Parameters

  ownership_strength | new value for the OwnershipStrengthQosPolicy

## ◆ properties() [1/3]

FASTDDS_EXPORTED_API PropertyPolicyQos & properties | ( |  | ) |

inline

Getter for PropertyPolicyQos.

Returns
  PropertyPolicyQos reference

## ◆ properties() [2/3]

FASTDDS_EXPORTED_API const PropertyPolicyQos & properties | ( |  | ) | const

inline

Getter for PropertyPolicyQos.

Returns
  PropertyPolicyQos reference

## ◆ properties() [3/3]

FASTDDS_EXPORTED_API void properties | ( | const PropertyPolicyQos & | properties | ) |

inline

Setter for PropertyPolicyQos.

Parameters

  properties | new value for the PropertyPolicyQos

## ◆ publish_mode() [1/3]

FASTDDS_EXPORTED_API PublishModeQosPolicy & publish_mode | ( |  | ) |

inline

Getter for PublishModeQosPolicy.

Returns
  PublishModeQosPolicy reference

## ◆ publish_mode() [2/3]

FASTDDS_EXPORTED_API const PublishModeQosPolicy & publish_mode | ( |  | ) | const

inline

Getter for PublishModeQosPolicy.

Returns
  PublishModeQosPolicy reference

## ◆ publish_mode() [3/3]

FASTDDS_EXPORTED_API void publish_mode | ( | const PublishModeQosPolicy & | publish_mode | ) |

inline

Setter for PublishModeQosPolicy.

Parameters

  publish_mode | new value for the PublishModeQosPolicy

## ◆ reliability() [1/3]

FASTDDS_EXPORTED_API ReliabilityQosPolicy & reliability | ( |  | ) |

inline

Getter for ReliabilityQosPolicy.

Returns
  ReliabilityQosPolicy reference

## ◆ reliability() [2/3]

FASTDDS_EXPORTED_API const ReliabilityQosPolicy & reliability | ( |  | ) | const

inline

Getter for ReliabilityQosPolicy.

Returns
  ReliabilityQosPolicy reference

## ◆ reliability() [3/3]

FASTDDS_EXPORTED_API void reliability | ( | const ReliabilityQosPolicy & | reliability | ) |

inline

Setter for ReliabilityQosPolicy.

Parameters

  reliability | new value for the ReliabilityQosPolicy

## ◆ reliable_writer_qos() [1/3]

FASTDDS_EXPORTED_API RTPSReliableWriterQos & reliable_writer_qos | ( |  | ) |

inline

Getter for RTPSReliableWriterQos.

Returns
  RTPSReliableWriterQos reference

## ◆ reliable_writer_qos() [2/3]

FASTDDS_EXPORTED_API const RTPSReliableWriterQos & reliable_writer_qos | ( |  | ) | const

inline

Getter for RTPSReliableWriterQos.

Returns
  RTPSReliableWriterQos reference

## ◆ reliable_writer_qos() [3/3]

FASTDDS_EXPORTED_API void reliable_writer_qos | ( | const RTPSReliableWriterQos & | reliable_writer_qos | ) |

inline

Setter for RTPSReliableWriterQos.

Parameters

  reliable_writer_qos | new value for the RTPSReliableWriterQos

## ◆ representation() [1/3]

FASTDDS_EXPORTED_API DataRepresentationQosPolicy & representation | ( |  | ) |

inline

Getter for DataRepresentationQosPolicy.

Returns
  DataRepresentationQosPolicy reference

## ◆ representation() [2/3]

FASTDDS_EXPORTED_API const DataRepresentationQosPolicy & representation | ( |  | ) | const

inline

Getter for DataRepresentationQosPolicy.

Returns
  DataRepresentationQosPolicy reference

## ◆ representation() [3/3]

FASTDDS_EXPORTED_API void representation | ( | const DataRepresentationQosPolicy & | representation | ) |

inline

Setter for DataRepresentationQosPolicy.

Parameters

  representation | new value for the DataRepresentationQosPolicy

## ◆ resource_limits() [1/3]

FASTDDS_EXPORTED_API ResourceLimitsQosPolicy & resource_limits | ( |  | ) |

inline

Getter for ResourceLimitsQosPolicy.

Returns
  ResourceLimitsQosPolicy reference

## ◆ resource_limits() [2/3]

FASTDDS_EXPORTED_API const ResourceLimitsQosPolicy & resource_limits | ( |  | ) | const

inline

Getter for ResourceLimitsQosPolicy.

Returns
  ResourceLimitsQosPolicy reference

## ◆ resource_limits() [3/3]

FASTDDS_EXPORTED_API void resource_limits | ( | const ResourceLimitsQosPolicy & | resource_limits | ) |

inline

Setter for ResourceLimitsQosPolicy.

Parameters

  resource_limits | new value for the ResourceLimitsQosPolicy

## ◆ transport_priority() [1/3]

FASTDDS_EXPORTED_API TransportPriorityQosPolicy & transport_priority | ( |  | ) |

inline

Getter for TransportPriorityQosPolicy.

Returns
  TransportPriorityQosPolicy reference

## ◆ transport_priority() [2/3]

FASTDDS_EXPORTED_API const TransportPriorityQosPolicy & transport_priority | ( |  | ) | const

inline

Getter for TransportPriorityQosPolicy.

Returns
  TransportPriorityQosPolicy reference

## ◆ transport_priority() [3/3]

FASTDDS_EXPORTED_API void transport_priority | ( | const TransportPriorityQosPolicy & | transport_priority | ) |

inline

Setter for TransportPriorityQosPolicy.

Parameters

  transport_priority | new value for the TransportPriorityQosPolicy

## ◆ user_data() [1/3]

FASTDDS_EXPORTED_API UserDataQosPolicy & user_data | ( |  | ) |

inline

Getter for UserDataQosPolicy.

Returns
  UserDataQosPolicy reference

## ◆ user_data() [2/3]

FASTDDS_EXPORTED_API const UserDataQosPolicy & user_data | ( |  | ) | const

inline

Getter for UserDataQosPolicy.

Returns
  UserDataQosPolicy reference

## ◆ user_data() [3/3]

FASTDDS_EXPORTED_API void user_data | ( | const UserDataQosPolicy & | user_data | ) |

inline

Setter for UserDataQosPolicy.

Parameters

  user_data | new value for the UserDataQosPolicy

## ◆ writer_data_lifecycle() [1/3]

FASTDDS_EXPORTED_API WriterDataLifecycleQosPolicy & writer_data_lifecycle | ( |  | ) |

inline

Getter for WriterDataLifecycleQosPolicy.

Returns
  WriterDataLifecycleQosPolicy reference

## ◆ writer_data_lifecycle() [2/3]

FASTDDS_EXPORTED_API const WriterDataLifecycleQosPolicy & writer_data_lifecycle | ( |  | ) | const

inline

Getter for WriterDataLifecycleQosPolicy.

Returns
  WriterDataLifecycleQosPolicy reference

## ◆ writer_data_lifecycle() [3/3]

FASTDDS_EXPORTED_API void writer_data_lifecycle | ( | const WriterDataLifecycleQosPolicy & | writer_data_lifecycle | ) |

inline

Setter for WriterDataLifecycleQosPolicy.

Parameters

  writer_data_lifecycle | new value for the WriterDataLifecycleQosPolicy

## ◆ writer_resource_limits() [1/3]

FASTDDS_EXPORTED_API WriterResourceLimitsQos & writer_resource_limits | ( |  | ) |

inline

Getter for WriterResourceLimitsQos.

Returns
  WriterResourceLimitsQos reference

## ◆ writer_resource_limits() [2/3]

FASTDDS_EXPORTED_API const WriterResourceLimitsQos & writer_resource_limits | ( |  | ) | const

inline

Getter for WriterResourceLimitsQos.

Returns
  WriterResourceLimitsQos reference

## ◆ writer_resource_limits() [3/3]

FASTDDS_EXPORTED_API void writer_resource_limits | ( | const WriterResourceLimitsQos & | writer_resource_limits | ) |

inline

Setter for WriterResourceLimitsQos.

Parameters

  writer_resource_limits | new value for the WriterResourceLimitsQos

The documentation for this class was generated from the following file:

- include/fastdds/dds/publisher/qos/DataWriterQos.hpp